Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xcodegen.generator.bean
Class DAOCodeGenerator

    java.lang.Object
      |
      +--xcodegen.generator.AbstractCodeGenerator
            |
            +--xcodegen.generator.bean.AbstractBeanCodeGenerator
                  |
                  +--xcodegen.generator.bean.DAOCodeGenerator

All Implemented Interfaces:
  CodeGenerator

public class DAOCodeGenerator
extends AbstractBeanCodeGenerator

Generator of Data Access Object interfaces Data Access Object persists Data Transfer Objects into the database

Version:
  $Revision: 1.2 $
Author:
  Herve Tchepannou
See Also:
  `DTOCodeGenerator`

Field Summary

Fields inherited from interface xcodegen.generator.CodeGenerator
`CONFIG_CLASS_OUTPUT_DIR, CONFIG_CLASS_PREFIX, CONFIG_CLASS_SUFFIX, CONFIG_DATABASE, CONFIG_DATABASE_OUTPUT_DIR, CONFIG_DATABASE_OUTPUT_FILE, CONFIG_DATABASE_STRING_SIZE, CONFIG_LANGUAGE, CONFIG_PACKAGE_SUFFIX, VERSION`

Constructor Summary
`DAOCodeGenerator()`

Method Summary
`void` | `init(java.util.Properties config)` Initialize the code generator

Methods inherited from class xcodegen.generator.bean.AbstractBeanCodeGenerator
`generate, generate, getClassname, getPackagename, getType, getVelocityTemplatePath`

Methods inherited from class xcodegen.generator.AbstractCodeGenerator
`generate, getConfigProperty, getLogger, getName, getVelocityContext, getVelocityTemplate, loadResourceAsProperties`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DAOCodeGenerator

    public DAOCodeGenerator()

Method Detail

### init

    public void init(java.util.Properties config)
              throws XCodeGenException

  Description copied from interface: `CodeGenerator`
  Initialize the code generator

  Specified by:
    `init` in interface `CodeGenerator`
  Overrides:
    `init` in class `AbstractBeanCodeGenerator`
  Parameters:
    `config` - Configuration of the code generator
  Throws:
    `XCodeGenException` - if any error occurs during the initialization

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD